Class TroubleTicketOrderRequest
java.lang.Object
com.eqixiac.equinix.customerportal.model.json.creators.TroubleTicketOrderRequest
Request body for placing a trouble ticket order (
POST /v1/orders/troubleticket,
TroubleTicketOrderRequest).
ibxLocation (IBX, cage and cabinet detail), serviceDetails (incident time,
problem code and supporting information) and contacts (ordering, notification and
technical contacts) are required by the API. An optional customerReferenceNumber and a
list of previously uploaded attachments may also be supplied.
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionbuilder(IbxLocation ibxLocation, TroubleTicketServiceDetails serviceDetails, List<TroubleTicketContact> contacts) Returns a new builder for a trouble ticket order request body.
-
Method Details
-
builder
public static TroubleTicketOrderRequest.Builder builder(IbxLocation ibxLocation, TroubleTicketServiceDetails serviceDetails, List<TroubleTicketContact> contacts) Returns a new builder for a trouble ticket order request body.- Parameters:
ibxLocation- the IBX/cage/cabinet location (required)serviceDetails- the trouble incident details (required)contacts- the ordering, notification and technical contacts (required)- Returns:
- a new builder
-